(function ($, Drupal) {

  /**
   * EBT Slideshow behavior.
   */
  Drupal.behaviors.ebtSlideshow = {
    attach: function (context, settings) {
      $.each(drupalSettings.ebtSlideshow, function(i, value){
        // Initialize FlexSlider.
        var blockClass = drupalSettings.ebtSlideshow[i].blockClass;
        if ($('.' + blockClass).length == 0) {
          return;
        }
        var $blockSlideshow = $('.' + blockClass);
        if ($blockSlideshow.hasClass('flexslider-added')) {
          return;
        }

        var options = {};

        drupalBlockSettings = drupalSettings.ebtSlideshow[i].options;
        options['selector'] = '.slides > .slide';
        if (drupalBlockSettings.animationSpeed != undefined && drupalBlockSettings.animationSpeed != '') {
          options['animationSpeed'] = parseInt(drupalBlockSettings.animationSpeed);
        }

        if (drupalBlockSettings.slideshowSpeed != undefined && drupalBlockSettings.slideshowSpeed != '') {
          options['slideshowSpeed'] = parseInt(drupalBlockSettings.slideshowSpeed);
        }

        $blockSlideshow.find('.ebt-slideshow-wrapper').flexslider(options);
        $blockSlideshow.addClass('flexslider-added');
      });
    }
  };

})(jQuery, Drupal);
